Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.v2
Interface ParameterMap

All Known Implementing Classes:
  SimpleParameterMap

Deprecated. use Java 2 collection class such as HashMap

public interface ParameterMap

A `ParameterMap` contains a set of parameters whose values are `Object`s mapped to `String` names.

Method Summary
`boolean` | `containsParameter(java.lang.String parameterName)` Deprecated. Returns true if this `ParameterMap` object contains the specified String as a parameter name.
`java.util.Enumeration` | `getParameterNames()` Deprecated. Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.
`java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Deprecated. Gets the value of the parameter with the given name.

Method Detail

### getParameterValue

    public java.lang.Object getParameterValue(java.lang.String parameterName)

  Deprecated.
  Gets the value of the parameter with the given name. If either the name or parameter does not exist, null is returned.

  Parameters:
    `parameterName` - the parameter name.
  Returns:
    the parameter with given name.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Deprecated.
  Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.

  Returns:
    an `Enumeration` of the parameter names.

### containsParameter

    public boolean containsParameter(java.lang.String parameterName)

  Deprecated.
  Returns true if this `ParameterMap` object contains the specified String as a parameter name.

  Parameters:
    `parameterName` - parameter name to search for.
  Returns:
    true if the give name is found, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.